<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ SPDX-FileCopyrightText: The memoization.java Authors
  ~ SPDX-License-Identifier: 0BSD
  -->
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- ordering follows https://maven.apache.org/developers/conventions/code.html#POM_Code_Convention -->

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                                 PARENT                                  -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Inheritance -->
    <parent>
        <groupId>wtf.metio.maven.parents</groupId>
        <artifactId>maven-parents-java-prototype</artifactId>
        <version>2023.6.2</version>
    </parent>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                               COORDINATES                               -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Maven_Coordinates -->
    <groupId>wtf.metio.memoization</groupId>
    <artifactId>memoization.java</artifactId>
    <version>9999.99.99-SNAPSHOT</version>
    <packaging>pom</packaging>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                               INFORMATIONS                              -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#More_Project_Information -->
    <name>memoization.java</name>
    <description>Java memoization library</description>
    <url>https://github.com/metio/memoization.java/</url>
    <inceptionYear>2016</inceptionYear>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                                 MODULES                                 -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Aggregation -->
    <modules>
        <module>memoization-core</module>
        <module>memoization-tck</module>
        <module>memoization-jdk</module>
        <module>memoization-jool</module>
        <module>memoization-lambda</module>
        <module>memoization-rxjava</module>
    </modules>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                                    SCM                                  -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#SCM -->
    <scm>
        <connection>scm:git:git://github.com/metio/memoization.java.git</connection>
        <developerConnection>scm:git:git@github.com:metio/memoization.java.git</developerConnection>
        <tag>${scmTag}</tag>
        <url>https://github.com/metio/memoization.java</url>
    </scm>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                             ISSUE MANAGEMENT                            -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Issue_Management -->
    <issueManagement>
        <system>GitHub</system>
        <url>https://github.com/metio/memoization.java/issues</url>
    </issueManagement>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                          DISTRIBUTION MANAGEMENT                        -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Distribution_Management -->
    <distributionManagement>
        <site>
            <id>metio</id>
            <name>official website</name>
            <url>https://github.com/metio/memoization.java</url>
        </site>
        <snapshotRepository>
            <id>ossrh</id>
            <url>https://s01.oss.sonatype.org/content/repositories/snapshots</url>
        </snapshotRepository>
    </distributionManagement>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                                PROPERTIES                               -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Properties -->
    <properties>
        <version.jdk>${javaVersion}</version.jdk>
        <scmTag>HEAD</scmTag>
        <project.build.outputTimestamp>2016-01-01T12:00:00+00:00</project.build.outputTimestamp>
    </properties>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                            DEPENDENCY MANAGEMENT                        -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Dependency_Management -->
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>wtf.metio.memoization</groupId>
                <artifactId>memoization-core</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>wtf.metio.memoization</groupId>
                <artifactId>memoization-tck</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>wtf.metio.memoization</groupId>
                <artifactId>memoization-jdk</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>wtf.metio.memoization</groupId>
                <artifactId>memoization-jool</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>wtf.metio.memoization</groupId>
                <artifactId>memoization-lambda</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>wtf.metio.memoization</groupId>
                <artifactId>memoization-rxjava</artifactId>
                <version>${project.version}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>properties-maven-plugin</artifactId>
                <executions>
                    <execution>
                        <phase>initialize</phase>
                        <goals>
                            <goal>read-project-properties</goal>
                        </goals>
                        <configuration>
                            <quiet>true</quiet>
                            <files>
                                <file>${project.basedir}/../java.properties</file>
                            </files>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>

</project>
